%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
Buildroot: %{_builddir}/%{name}-root
Name: unicore-unicorex6
Version: 6.0.1
Release: 0.sl6
Obsoletes: unicore-unicorex
Provides: unicore-unicorex
Summary: UNICORE/X Server
License: BSD
Distribution: RedHat
Group: System Environment/Daemons
URL: http://www.unicore.eu
Requires: java-1.6.0-openjdk
BuildArch: noarch
Packager: UNICORE unicore-support@lists.sourceforge.net
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-unicorex6-6.0.1-0.src.tar.gz

%description
UNICORE (Uniform Interface to Computing Resources) offers a
ready-to-run Grid system including client and server software.
UNICORE makes distributed computing and data resources available
in a seamless and secure way in intranets and the internet.

This package contains the UNICORE/X server.

%changelog
* Fri Sep 30 2011 Bernd Schuller <unicore-support@lists.sourceforge.net> 
-Fixed init script
* Mon Sep 5 2011 Bernd Schuller <unicore-support@lists.sourceforge.net> 
-Updated packaging code to use the packman tool
* Sun  Feb 20 2011 Bernd Schuller <unicore-support@lists.sourceforge.net> 
-Updated for 6.4.0 release
* Wed Oct 06 2010 Andre Giesler <unicore-support@lists.sourceforge.net> 
-Initial rpm package

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
cd unicorex-dist 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=6.0.1 -Dpackage.release=0 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files

#
# Config files
#
%dir %attr(755 unicore unicore) "/etc/unicore/unicorex/"
%dir %attr(755 unicore unicore) "/etc/unicore/unicorex/xacml2Policies"
%config(noreplace) %attr(0644 unicore unicore) "/etc/unicore/unicorex/startup.properties"
%config(noreplace) %attr(0600 unicore unicore) "/etc/unicore/unicorex/jmxremote.password"
%config(noreplace) %attr(0644 unicore unicore) "/etc/unicore/unicorex/logging.properties"
%config(noreplace) %attr(0644 unicore unicore)"/etc/unicore/unicorex/simpleidb"
%config(noreplace) %attr(0644 unicore unicore) "/etc/unicore/unicorex/simpleuudb"
%config(noreplace) %attr(0644 unicore unicore) "/etc/unicore/unicorex/site-info.json"
%config(noreplace) %attr(0600 unicore unicore) "/etc/unicore/unicorex/uas.config"
%config(noreplace) %attr(0600 unicore unicore) "/etc/unicore/unicorex/vo.config"
%config %attr(0644 unicore unicore) "/etc/unicore/unicorex/votruststore.jks"
%config(noreplace) %attr(0600 unicore unicore) "/etc/unicore/unicorex/wsrflite.xml"
%config %attr(0644 unicore unicore)"/etc/unicore/unicorex/xacml2.config"
%config(noreplace) %attr(0600 unicore unicore)"/etc/unicore/unicorex/xnjs_legacy.xml"
%config(noreplace) %attr(0600 unicore unicore)"/etc/unicore/unicorex/xnjs.xml"
%config(noreplace) %attr(0644 unicore unicore) "/etc/unicore/unicorex/xacml2Policies/01coreServices.xml"
%config(noreplace) %attr(0644 unicore unicore) "/etc/unicore/unicorex/xacml2Policies/11emiServices.xml"
%config(noreplace) %attr(0644 unicore unicore) "/etc/unicore/unicorex/xacml2Policies/99finalDeny.xml"

%attr(0744 unicore unicore) "/etc/rc.d/init.d/unicore-unicorex"
%attr(0744 unicore unicore) "/usr/sbin/unicore-unicorex-start.sh"
%attr(0744 unicore unicore) "/usr/sbin/unicore-unicorex-stop.sh"
%attr(0744 unicore unicore) "/usr/sbin/unicore-unicorex-status.sh"

#
# Documentation
#
%docdir %attr(755 root root) "/usr/share/doc/unicore/unicorex/"
%attr(644 root root) "/usr/share/doc/unicore/unicorex/*"

#
# jar files
#
%attr(755 root root) %dir "/usr/share/unicore/unicorex/lib"
%attr(644 root root) "/usr/share/unicore/unicorex/lib/*.jar"

#
# logs
#
%dir %attr(0755 unicore unicore) "/var/log/unicore"
%dir %attr(0755 unicore unicore) "/var/log/unicore/unicorex"
%dir %attr(0755 unicore unicore) "/var/run/unicore"
%dir %attr(0750 unicore unicore) "/var/lib/unicore"
%dir %attr(0750 unicore unicore) "/var/lib/unicore/unicorex"

#
#unicore-configurator
#
%dir %attr(755 root root) "/usr/share/unicore/configurator"
%dir %attr(755 root root) "/usr/share/unicore/configurator/updater.d"
%attr(644 root root) "/usr/share/unicore/configurator/updater.d/unicorex.py"



%pre
/usr/sbin/groupadd -r unicore 2>/dev/null || :
/usr/sbin/useradd -c "UNICORE" -g unicore \
    -s /sbin/nologin -r -d /usr/share/unicore unicore 2>/dev/null || :
	
%post
if [ -e /sbin/chkconfig ]; then
    /sbin/chkconfig --add unicore-unicorex
elif [ -e /sbin/insserv ]; then
    /sbin/insserv unicore-unicorex
fi


%preun
if [ -e /sbin/chkconfig ]; then
  if [ "$1" = "0" ]; then 
      /etc/init.d/unicore-unicorex stop >/dev/null 2>&1
      /sbin/chkconfig --del unicore-unicorex
  fi
elif [ -e /sbin/insserv ]; then
  if [ "$1" = "0" ]; then 
      /etc/init.d/unicore-unicorex stop >/dev/null 2>&1
      /sbin/insserv -r unicore-unicorex
  fi
fi
